PACINFO(1)

NAME
pacinfo - display package information

SYNOPSIS
 pacinfo [options] (<pkgspec>|<pkgname>)...
 pacinfo (--help|--version)

DESCRIPTION
If a pkgname is given, information for all packages matching that name in all databases will be displayed.

If stdin is not connected to a terminal, packages will be read from stdin.

OPTIONS

--config=path
    Set an alternate configuration file path.

--dbext=extension
    Set an alternate sync database extension.

--dbpath=path
    Set an alternate database path.

--root=path
    Set an alternate installation root.

--sysroot=path
    Set an alternate system root. See pacutils-sysroot(7).

--null[=sep]
    Set an alternate separator for values parsed from stdin. By default a newline "\n" is used as the separator. If --null is used without specifying sep "NUL" will be used.

--short
    Display brief information. Suitable for printing a potentially large number of packages:

     pacsift --name libreoffice | pacinfo --short

--raw
    Display raw numeric size and date values.

--removable-size
    Include the size of any removable dependencies in installed size.

--help
    Display usage information and exit.

--version
    Display version information and exit.

CAVEATS
pacinfo determines whether or not to read packages from stdin based on a naive check using isatty(3). If pacinfo is called in an environment, such as a shell function or script being used in a pipe, where stdin is not connected to a terminal but does not contain packages to print, pacinfo should be called with stdin closed. For POSIX-compatible shells, this can be done with "<&-".